PSEUDOFS(9)

NAME
pseudofs - pseudo file system construction kit

SYNOPSIS
#include <fs/pseudofs/pseudofs.h>

DESCRIPTION
The pseudofs module offers an abstract API for pseudo-file systems such as procfs(5) and linprocfs(5). It takes care of all the hairy bits like interfacing with the VFS system, enforcing access control, keeping track of file numbers, and cloning files and directories that are process-specific. The consumer module, i.e., the module that implements the actual guts of the file system, needs only provide the directory structure (represented by a collection of structures declared and initialized by macros provided by pseudofs) and callbacks that report file attributes or write the actual file contents into sbufs.

SEE ALSO
linprocfs(5), linsysfs(5), procfs(5), sbuf(9), vnode(9)

HISTORY
The pseudofs module appeared in FreeBSD 5.0.

AUTHORS
The pseudofs module and this manual page were written by Dag-Erling Smørgrav <des@FreeBSD.org>.